{ pkgs, config, lib, inputs, ... }:
{
 home.packages = with pkgs; [
 ];

  catppuccin.tmux = {
    enable = true;
    extraConfig = ''
         set -g @catppuccin_window_status_style "rounded"
    '';
    flavor = "mocha";
  };

 programs.tmux = {
   enable = true;
    terminal = "tmux-256color";
    disableConfirmationPrompt = true;
    keyMode = "vi";
    # newSession = true;
   extraConfig = ''

# unbind C-b
# set -g prefix C-t
# bind C-t send-prefix

# vim-like pane resizing  
bind -r C-k resize-pane -U
bind -r C-j resize-pane -D
bind -r C-h resize-pane -L
bind -r C-l resize-pane -R

unbind k     
unbind j   
unbind h   
unbind l  

# vim-like pane switching
bind -r k select-pane -U 
bind -r j select-pane -D 
bind -r h select-pane -L 
bind -r l select-pane -R 

# and now unbind keys
unbind Up     
unbind Down   
unbind Left   
unbind Right  


unbind C-Up   
unbind C-Down 
unbind C-Left 
unbind C-Right

set -g base-index 1
set -g pane-base-index 1
set-window-option -g pane-base-index 1
set-option -g renumber-windows on

unbind s
bind s split-window -v -c "#{pane_current_path}"
unbind x
bind x split-window -h -c "#{pane_current_path}"

set -g mouse on

bind -n M-H previous-window
bind -n M-L next-window


# set vi-mode
set-window-option -g mode-keys vi
# keybindings
bind-key -T copy-mode-vi v send-keys -X begin-selection
bind-key -T copy-mode-vi C-v send-keys -X rectangle-toggle
bind-key -T copy-mode-vi y send-keys -X copy-selection-and-cancel



'';

   plugins = with pkgs.tmuxPlugins; [
   # vim-tmux-navigator {
   #  plugin = vim-tmux-navigator;
   # }
   # tmux-which-key {
   #  plugin = tmux-which-key;
   # }
      # catppuccin {
      #   plugin = catppuccin;
      #   extraConfig = ''
      #   set -g @plugin 'catppuccin/tmux#2.1.3'
      #    set -g @catppuccin_window_status_style "rounded"
      #    set -g @catppuccin_flavor 'mocha'
      #   '';
      # }
#    pkgs.tmuxPlugins.vim-tmux-navigator
   ];
 };

}
